body{
	font-family: monospace;
}
main{

    display: flex;
	width: fit-content;
    margin: 0 auto;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: space-around;
    align-content: flex-start;
    align-items: flex-start;
    
}
nav {
	flex: 1 1 auto;
	align-self: auto;
	overflow-x: auto;
	white-space: nowrap;
	min-width: 350px;
}
button{
	font-size: 0.8em;
	vertical-align: bottom;
	user-select: none;
	height: 1.8em;
	box-shadow: 2px 2px 4px #bbbbbb;
	min-width: 65px;
	padding: 0 0.1em;
}
button.err{
	color: #c16a6a;
}
button.ok{
	color: #83c16a;
}
button.mid{
	color: #c6c55c;
}
button.wait{
	color: #3db7a7;
}
button.addFile{
    width: 20px;
    min-width: 20px !important;
    height: 1.2em;
    vertical-align: baseline;
    overflow:hidden;
}
button.addFile input{
	opacity: 0;
	position: absolute;
    top: 0;
    left: 0;
    margin: -1px;
}
button.move{
	width: 20px; padding: 0; margin: 0;min-width: 0; display:none;
}
.drag button.addFile input{
	opacity: .2;
	position: fixed;
	font-site:0px;
    top: -20px;
    left: 0;
    width:100%;
    height:120%;
    background-color:orange;
    z-index: 999;  
}
section {
	/*flex: 4 1 auto;*/
	width: 900px;
	/* width: 850px; */
    /*align-self: stretch;*/
    border-left: 3px solid black;
    height: auto;
	margin-left: .5em;
}
footer{
	position: fixed;
    bottom: 0;
    left: 0;
    background-color: #ffca28;
    border-top: 1px solid #ffa303;
    border-right: 1px solid #ffa303;
}
footer a:visited,footer a{
	color: black;
}
footer [type="radio"]{
	margin: 0;
    vertical-align: text-bottom;
    cursor: pointer;
}
footer label{
    cursor: pointer;
}

div[id*=proto]{
	display:none;
}



.dir{
	user-select: none;
}
.dir .state-img{
    width: 30px;
    height: 26px;
    display: inline-block;
    background: url(/folders.png) 0 0;
    background-repeat: no-repeat;
}
.dir .state-img.dl{
	background-position-x: -33px !important;
}
.dir .state-img.empty{
	background-position-x: -66px;
}
.dir .state-img.sel{
	background-position-x: -99px;
}
.dir .state-img.sel ~ .files,
.dir .state-img.sel ~ .name{
    color: #a349a4;
}
.dir .state-img.open{
	background-position-x: -132px;
}
.dir .state-img.open.sel{
	background-position-x: -165px;
}
.dir .state-img.close ~ .subdirs,
.dir .state-img.close ~ .end{
	display: none;
}
.dir .name,.dir .files{
	font-size: 23px;
    vertical-align: top;
        
    line-height: 25px;
    letter-spacing: 1.5px;
    margin-left: 0.5em;
}
.dir .name{
	font-weight: bold;
	user-select: text;
}
.dir .files:hover {
    text-decoration: underline;
	cursor: pointer;
}
.dir .subdirs{
	margin-left: 12px;
    border-left: 3px solid black;
    padding-left: 9px;
}
.dir .dir{
	/*padding-top: .4em;*/
}
.dir .dir .line{
    display: inline-block;
    border-bottom: 3px solid black;
    width: 16px;
    margin-bottom: 13px;
    margin-left: -12px;
}
.dir .state-img.open ~ .end {
    margin-left: 12px;
    border-left: 3px solid white;
    padding-left: 9px;
    display: inline-block;
    height: 17px;
    margin-top: -17px;
}

.file,.dir-hash{
	width: 100%;
	font-size: 23px;
    border-bottom: 3px solid black;
    display: flex;
    align-items: center;
	padding: .5em 0;
}
.dir-hash{
	padding: .5em 0;
}
.dir-hash .hash-wrap{
	padding-left: .5em;
}
.dir-hash .hash{
	overflow: default;
}
.dir-hash button{
	min-width: 120px;
	position: relative;
}
.dir-hash button span{
	/*background: linear-gradient(to right, #2e6313ba 0%,#51d628cf 37%,#e7e7e700 37%,#e7e7e700 100%);*/
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
	pointer-events: none;
}
.file .index{
    min-width: 2em;
    text-align: right;
    background-color: grey;
    color: white;
    margin-right: 1em;
    display: inline-block;
    padding-right: .2em;
}
.file .name{
	width: 614px;
    font-weight: bold;
    word-wrap: break-word;
	word-break: break-all;
    white-space: normal;
    display: inline-block;
    margin: .5em 0;
	height: 2.5em;
    overflow-y: auto;
}
.file .size{
	float: right;
    color: #878787;
	min-width: 97px;
}
.file .hash,.dir-hash .hash{
	width: 30vw;
    overflow: hidden;
    display: inline-block;
    text-overflow: ellipsis;
	/*word-wrap: break-word;*/
}
.file .img-cont{
	width: 200px;
	height: 200px;
	display: flex;
    align-items: center;
    justify-content: center;
	padding: 0 .5em;
	border-right: 2px dashed #808080;
    margin-right: 0.5em;
    min-width: 200px;
}
.file form{
	text-align: right;
}
.file form span{
	transition: opacity .1s ease-in-out;
}
.file form span:not(.act){
	opacity: .2;
}
.file form span{
    width: 12%;
    line-height: 1.2em;
    text-align: center;
    display: inline-block;
	margin-top: .5em;
}
.file form span:nth-child(1){
	background-color: #F44336ab;
}
.file form span:nth-child(2){
	background-color: #ff9800ab;
}
.file form span:nth-child(3){
	background-color: #FFEB3Bab;
}
.file form span:nth-child(4){
	background-color: #8bc34aab;
}
.file form span:nth-child(5){
    background-color: #00BCD4ab;
}
.file form span:nth-child(6){
    background-color: #673ab7ab;
}
.file .trs {
    line-height: 16px;
    margin: 11px 0 0px 5px;
    display: inline-block;
    float: right;
}
.file .trs input{
    margin: 0px;
    padding: 0;
    float: left;
    width: 16px;
}

.hidden{
	display:none;
}
.onlyAdmin{
	display: none;
}
.isAdmin .onlyAdmin{
	display: initial;
}